#ifndef FORMATTER
#define FORMATTER

#include "EthernetInterface.h"

extern EthernetInterface eth;

class Formatter
{
    public :
        
        Formatter(int nbChunk = 1);
        
        char* get_page(char *reply);
        
    protected :
    
        virtual void get_chunk(const int c, char *reply);
        
    private :
    
        int currentChunk;
        int nbChunk;
};

class SimpleHTMLFormatter : public Formatter
{        
    public :
    
        SimpleHTMLFormatter();
        
    protected :
    
        virtual void get_chunk(const int c, char *reply);

};

class InteractiveHTMLFormatter : public Formatter
{
    public :
    
        InteractiveHTMLFormatter();

    protected :
        
        virtual void get_chunk(const int c, char *reply);
};


#endif

